Subject: Re: Fuzzy Logic

From: Doug Royer <[email-masked]>
Date: Wed, 25 Aug 1999 15:02:22 -0700 (PDT)

> From: "greg fizpatrick" <[email-masked]>
> Date: Sun, 22 Aug 1999 08:29:21 PDT
> 
> At this moment I am working on several simultaneous threads.  Opening  
> times,  scheduling times and overall calendar object management 
> clarification.  I will post individual emails to the list for each subject.  
>   This note concerns  a new thread introduced by Frank in his mail from  
> 19990818
> 
> ...afterall this same "fuzzy" scheduling can apply to both VTODO and 
> VJOURNAL calendar components also --Frank.
> 
> Though I do not believe that our proposals for scheduling times  truly  
> qualify as being fuzzy, I do believe that if we are going to initiate an 
> experimental working group to address the issues raised by SKi, as Pat has 
> suggested,  it is high time we developed the Fuzzy logic thread.
> 
> Ironically perhaps, it is the business meeting calendar community, as 
> represented by Frank, Lisa and Doug etc.,  that  has the most to gain by the 
> use of Fuzzy Logic.  The public events which the SKi WG are focusing on are 
> decidedly more crisp in their nature.  (at least from the calendar 
> publisher's POV)
> ...

You bring up several good points and these ARE things that most of the
participants to the CALSCH WG are interested in resolving.

Pat is right.  It might be a better place for a separate WG to start
that discusses these items.  The current WG is trying to release CAP.
A separate WG and mailing list might be appropriate to allow some
parallel (perhaps experimental) work.  Other current WG goals are:
Fixing errors in RFC2445, 2446, 2447 and a guideline document.

Other calendar and scheduling interests are in:

	Resource (Cars, conference rooms, people). 
	
	Human Resources.
	
	Travel scheduling across sites/vendors....

	Public events (Concerts, tickets for sale, ...)

	Project planning.

I do not see anyone in CALSCH rejecting your ideas.  I think the only
thing being said is 'it is out of scope for CAP and it is not a fix
to the current RFCs'.  It is not that we do not want unscheduled events
in iCalendar.  It is (as I see it) out of scope to the current WG
charter.

A new WG could define itself to resolve those issues. And I think
that is how it is done in the IETF.
	
-Doug
-------------------------------------------------------------------
[email-masked]		http://playground.sun.com/~dougr
Pager:				[email-masked]
801 W. El Camino #131		Work:   (650)786-7599
Mountain View, CA 94040		Ham Radio: N6AAW, Aviation: PP-ASEL